Bug 99248 - tiffsplit does not obey endian status of original file
tiffsplit does not obey endian status of original file
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: libtiff (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-16 12:17 EDT by Johnathon Walls
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-19 16:04:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnathon Walls 2003-07-16 12:17:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
Hello,

I am using tiffsplit from libtiff to split a multipage tiff file into its
components.  The source file is in big-endian format.

Running tiffsplit creates files with the little-endian format flag, but the data
is still in big-endian format.  In other words, only the flag has changed.  Thus
viewing this in display (ImageMagick) or another viewer results in data that is
incorrect.



Version-Release number of selected component (if applicable):
libtiff-3.5.7-11

How reproducible:
Always

Steps to Reproduce:
1. Get a multipage big-endian tiff file
2. Run tiffsplit on it from a little-endian machine.
3.
    

Actual Results:  The new files have the little-endian file set, but the data is
stored in big-endian format.

Expected Results:  The new files should either have the big-endian flag set and
be in big-endian format, or should be in little-endian format with the
little-endian flag.

Additional info:

I have checked the source code from libtiff.org, and this bug is present even in
v3.6beta.
Comment 1 Matthias Clasen 2004-05-19 16:04:01 EDT
Filed upstream: 
http://bugzilla.remotesensing.org/show_bug.cgi?id=574

Note You need to log in before you can comment on or make changes to this bug.